.filter-card {
  position: relative;
  overflow: hidden;
  padding: 0.5rem 1.5rem 0 1.5rem;
  border-radius: 1rem;
  background-color: var(--color__white);
  box-shadow: 0px 2rem 3rem rgba(0, 0, 0, 0.04);
}

.filter-card.--spoiler {
  padding: 0 0 0.75rem;
  box-shadow: none;
}

.filter-card__head {
}

/* filter-card-head */
.filter-card-head {
  position: relative;
}
.filter-item.--spoiler .filter-card {
  padding-bottom: 1.5rem !important;
}
.filter-card-head__icon {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  display: flex;
  align-items: center;
  color: var(--color__fill-1);
}

.filter-card-head__icon svg {
  display: block;
  width: 1.9375rem;
  height: 1.9375rem;
}

.filter-card-head__total {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 0;
  display: block;
  opacity: .56;
  font-size: 0.75rem !important;
  font-style: normal;
  font-weight: 400;
  line-height: 1rem !important; /* 133.333% */
}

.filter-card-head__total.--clear {
  border: 0;
  padding: 0;
  background-color: transparent;
  cursor: pointer;
  transition: color ease 0.24s;
}

.filter-card-head__total.--clear:hover {
  color: var(--color__fill-1);
}

.filter-card-head__input-clear {
  display: none;
}

.filter-card-head__input {
  width: 100%;
  padding: 1rem 7.5rem 1rem 2.25rem;
  border: 0;
  border-bottom: 1px solid var(--color__border) !important;
  font-size: 1.25rem;
  line-height: 1;
  color: var(--color__dark);
  transition: border-color ease 0.24s;
}

.filter-card.--radio .filter-card-head__input {
  padding-left: 0;
}

.filter-card-head__input:focus-visible {
  border: 0;
  border-bottom: 0.125rem solid rgba(var(--color__dark-rgb), 0.08);
  outline: 0;
}

.filter-card-head__input:hover {
  /* outline: 0; */
  border-color: var(--color__fill-2);
}

.filter-card.--radio .filter-card-head__input:hover {
  border-color: rgba(var(--color__dark-rgb), 0.08)
}

.filter-card-head__input::placeholder {
  color: transparent;
  opacity: 0.2;
  font: inherit;
}

.filter-card-head__input:focus::placeholder {
  color: var(--color__dark);
}

.filter-card-head__label {
  position: absolute;
  top: 2px;
  left: 0;
  padding-top: .675rem;
  padding-left: 2.25rem;
  font-weight: 500;
  font-size: 1.25rem;
  pointer-events: none;
  line-height: 1.875rem; /* 150% */
}

.filter-card.--radio .filter-card-head__label {
  position: static;
  padding-top: 0;
  padding-left: 0;
}

.filter-card-head__input:not(:placeholder-shown) ~ .filter-card-head__label,
.filter-card-head__input:focus ~ .filter-card-head__label {
  visibility: hidden;
}

.filter-card__body {
  margin-top: 1rem;
  position: relative;
  overflow: hidden;
}

/* filter-card-body */
.filter-card-body {
  position: relative;
  overflow: hidden;
}

.filter-card-body__inner {
  position: relative;
  height: 8.75rem;
  padding-bottom: 1rem;
  overflow: auto;
}

.filter-card.--spoiler .filter-card-body__inner {
  height: 9.1875rem;
  padding-bottom: 0;
}

.filter-card.--dropdown .filter-card-body__inner {
  height: 9.375rem;
}

.filter-card.--radio .filter-card-body__inner {
  height: auto;
}

.filter-card-body__list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 0.375rem;
}

.filter-card.--radio .filter-card-body__list {
  grid-template-columns: 1fr;
}

.filter-card-body__item {
  overflow: hidden;
}

/* filter-checkbox */
.filter-checkbox {
  display: flex;
  align-items: flex-start;
  cursor: pointer;
  align-items: stretch;
}

.filter-checkbox.--disabled {
  cursor: default;
  pointer-events: none;
}

.filter-checkbox__input {display: none;}

.filter-checkbox__check {
  flex: none;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 1.5rem;
  height: 1.5rem;
  margin-right: 0.875rem;
  border-radius: 0.25rem;
  border: 0.125rem solid var(--color__fill-1);
  background-color: transparent;
  transition: background-color ease 0.24s;
}

.filter-checkbox__input:checked ~ .filter-checkbox__check {
  background-color: var(--color__fill-1);
  border: 0.125rem solid var(--color__fill-1);
}

.filter-checkbox__input:disabled ~ .filter-checkbox__check {
  border-color: rgba(var(--color__dark-rgb), 0.32);
}

.filter-checkbox__check svg {
  display: none;
  width: 1.0625rem;
  height: 0.8125rem;
}

.filter-checkbox__input:checked ~ .filter-checkbox__check svg {
  display: block;
}

.filter-checkbox__label {
  color: rgba(rgb(20 33 65 / 60%), 0.6);
  transition: all ease 0.24s;
  align-items: center;
  display: flex;
  opacity: .64;
  font-size: 1rem;
  font-style: normal;
  font-weight: 400;
  line-height: 1.5rem; /* 150% */
}

.filter-card.--dropdown .filter-checkbox__label {
}

.filter-checkbox__input:checked ~ .filter-checkbox__label,
.filter-checkbox__label:hover {
  /* color: var(--color__fill-2); */
  /* font-weight: bold; */
  opacity: 1;
}

.filter-checkbox__input:disabled ~ .filter-checkbox__label {
  color: rgba(var(--color__dark-rgb), 0.32);
}

.filter-card__footer {
  margin-top: 1.5rem;
  padding-bottom: 1.5rem;
}

/* filter-card-footer */
.filter-card-footer {
  display: flex;
  align-items: center;
}

.filter-card-footer__item {
  flex: 1;
}

.filter-card-footer__item + .filter-card-footer__item {
  margin-left: 0.5rem;
}

.filter-card-footer__button {
  width: 100%;
  height: 3rem;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 600 !important;
  line-height: 2rem; /* 228.571% */
  letter-spacing: 0.035rem;
  text-transform: uppercase;
  border-radius: 0.5rem !important;
}

.filter-card__range-label {
  opacity: .5;
}


@media screen and (max-width: 991px) {

}

@media screen and (max-width: 768px) {

}

@media screen and (max-width: 640px) {

}

@media screen and (max-width: 991px) {
  .mobile-sort .filter-card {
    padding: 0;
    box-shadow: none;
  }

  .filter-card__head {
    margin-bottom: 1.125rem;
  }

  .mobile-sort .filter-card__head {
    display: none;
  }

  .filter-card-head__input {
    height: 3rem;
    padding: 0.5rem 0.875rem 0.5rem 2.875rem;
    border-radius: 0.5rem;
    border-bottom: 0;
    background-color: var(--color__gray-5);
  }

  .filter-card-head__input:focus-visible {
    border-bottom: 0;
  }

  .filter-card-head__icon {
    left: 0.5rem;
    color: rgba(var(--color__dark-rgb), 0.4);
  }

  .filter-card-head__total {
    display: none;
  }

  .filter-card-head__input-clear {
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0.875rem;
    margin: auto;
    width: 1.25rem;
    height: 1.25rem;
    padding: 0;
    border: 0;
    background-color: transparent;
    cursor: pointer;
  }

  .filter-card-head__input-clear::before,
  .filter-card-head__input-clear::after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    margin: auto;
    width: 100%;
    height: 0.125rem;
    background-color: rgba(var(--color__dark-rgb), 0.56);
  }

  .filter-card-head__input-clear::before {
    transform: rotate(45deg);
  }

  .filter-card-head__input-clear::after {
    transform: rotate(-45deg);
  }

  .filter-card-head__input::placeholder {
    color: var(--color__dark-rgb);
  }

  .filter-card-head__label {
    display: none;
  }

  .filter-card__body {
    margin-top: 0;
  }

  .mobile-sort .filter-card-body__inner {
    padding-bottom: 0;
  }

  .filter-card-body__list {
    display: block;
  }

  .filter-card-body__item + .filter-card-body__item {
    margin-top: 0.375rem;
  }

  .mobile-sort .filter-card-body__item + .filter-card-body__item {
    margin-top: 0;
  }

  .mobile-sort .filter-card-body__item {
    padding-top: 1rem;
    padding-bottom: 1rem;
    border-top: 1px solid rgba(var(--color__dark-rgb), 0.12);
  }

  .filter-grid-item .filter-card__head {
    display: none;
  }

  .filter-checkbox__check {
    border-color: rgba(var(--color__dark-rgb), 0.2);
  }

  .mobile-sort .filter-checkbox__check {
    position: relative;
    width: 1.125rem;
    height: 1.125rem;
    margin-right: 0.75rem;
    border-radius: 50%;
    border: 0.125rem solid rgba(var(--color__dark-rgb), 0.2);
    background-color: var(--color__white);
    transition: background-color ease 0.24s, border-color ease 0.24s;
  }

  .filter-checkbox__input:checked ~ .filter-checkbox__check {
    border-color: var(--color__fill-2);
  }

  .mobile-sort .filter-checkbox__input:checked ~ .filter-checkbox__check {
    border-color: var(--color__fill-1);
    background-color: var(--color__fill-1);
  }

  .mobile-sort .filter-checkbox__check:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: none;
    margin: auto;
    width: 0.5rem;
    height: 0.5rem;
    border-radius: 50%;
    background-color: var(--color__white);
  }

  .mobile-sort .filter-checkbox__input:checked ~ .filter-checkbox__check::before {
    display: block;
  }

  .mobile-sort .filter-checkbox__check svg,
  .mobile-sort .filter-checkbox__input:checked ~ .filter-checkbox__check svg {
    display: none;
  }

  .mobile-sort .filter-checkbox__label {
    font-size: 1rem;
  }

  .mobile-sort .filter-card__footer {
    display: none;
  }
}
